petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecScatterSetUp

Sets up the VecScatter to be able to actually scatter information between vectors

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecScatterSetUp(VecScatter ctx)

Collective on VecScatter

### Input Parameter

ctx -the scatter context

### See Also

VecScatterCreate(), VecScatterCopy()

### Level

intermediate

### Location

src/vec/vscat/interface/vscatfce.c

### Implementations

VecScatterSetUp_MPI1 in src/vec/vscat/impls/mpi1/vpscat_mpi1.c
VecScatterSetUp_MPI3 in src/vec/vscat/impls/mpi3/vpscat.c
VecScatterSetUp_Seq in src/vec/vscat/impls/seq/seqvscat.c
VecScatterSetUp_SF in src/vec/vscat/impls/sf/vscatsf.c
VecScatterSetUp_vectype_private(VecScatter ctx,PetscErrorCode (*vecscattercreatelocal_ptos)(PetscInt,const PetscInt*,PetscInt,const PetscInt*,Vec,Vec,PetscInt,VecScatter),PetscErrorCode (*vecscattercreatelocal_stop)(PetscInt,const PetscInt*,PetscInt,const PetscInt*,Vec,Vec,PetscInt,VecScatter),PetscErrorCode (*vecscattercreatelocal_ptop) in src/vec/vscat/impls/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages